Bug 131943 - pthread usage should be portable
Summary: pthread usage should be portable
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-07 08:22 UTC by Anders F Björklund
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-04 17:50:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rpm-4.3-pthread.patch (967 bytes, patch)
2004-09-07 08:23 UTC, Anders F Björklund
no flags Details | Diff
rpm-4.3-pthread.patch (1.22 KB, patch)
2004-09-21 22:23 UTC, Anders F Björklund
no flags Details | Diff

Description Anders F Björklund 2004-09-07 08:22:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US;
rv:1.7) Gecko/20040623 Camino/0.8

Description of problem:
- Not every platform has PTHREAD_RECURSIVE_MUTEX_INITIALIZER_NP
- pthread_cleanup_pop does not return something everywhere.

Version-Release number of selected component (if applicable):
4.3.2-0.10

How reproducible:
Always

Steps to Reproduce:
1. Compile RPM 4.3.x on non-Linux platforms

Actual Results:  Compile failure.

Expected Results:  Compile success.

Comment 1 Anders F Björklund 2004-09-07 08:23:33 UTC
Created attachment 103529 [details]
rpm-4.3-pthread.patch

Comment 2 Anders F Björklund 2004-09-21 21:30:00 UTC
The quick patch above deadlocked (oops),
so I need a little more clever one...

Comment 3 Anders F Björklund 2004-09-21 22:23:31 UTC
Created attachment 104095 [details]
rpm-4.3-pthread.patch

Fixes the deadlock in the previous patch

Comment 4 Jeff Johnson 2005-01-04 17:50:12 UTC
Added to HEAD and rpm-4_4 branches, should be in rpm-4.4.1-0.6 when built.
Thanks for the patch.


Note You need to log in before you can comment on or make changes to this bug.